Synaptics Driver Release Notes for MS Win10
OS: 32-bit and 64-bit Windows 7, Windows 8, and Windows 8.1
Languages Supported: English, Arabic, Portuguese (Brazil), Croatian, Czech, Danish, French, French Canadian, Finnish, Greek, German, Hungarian, Indonesian, Hebrew, Italian, Japanese, Korean, Spanish (Mexico), Dutch, Norwegian Bokmal, Polish, Portuguese, Romanian, Russian, Swedish, Slovakian, Spanish (Spain), Slovenian, Thai, Turkish, Traditional Chinese, and Simplified Chinese.
Version: 19.0.19.1 Date: 08-03-2015
System enhancements
Version: 19.0.19 Date: 07-30-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-30170 | Marking resources as non-discardable | Marking resources as non-discardable
HDR-30268 (1197171) | 1197171 - FNC_PE_ /Aria & Venetian: In the drop down box of Button Action (Button /Zone completely disabled) repeat on Touchpad (TouchStyk) tab | Fixed plugin action list item repeat issue when there is only one plugin action; Removed all plugin actions for LRM buttons.
HDR-30339 | Fail to uninstall driver from Win10 Settings: Apps & Features | Add unstallation log ton Synaptics.PD.log; Hide command prompt windows in installation; Hide command prompt windows which remove SynTPEnhService in uninstallation; Add last step in finish install lon Synaptics.PD.log; Fixed cannot uninstallation driver from Win10 - Settings - Apps & features
HDR-30343 | Add ACM 2.1 Support with New Confidence Threshold | Add ACM 2.1 Support with New Confidence Threshold

Version: 19.0.18 Date: 07-23-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-30262 | Use major version for HID/I2C in miniport driver | Changed FW version report format in miniport HID descriptor, for HID/I2C platform only major version is used, for InterToutch the version formation is major(8-bit).minor(8-bit).
HDR-30270 | Set ShareVector to TRUE which allows IRQ sharing in SMB | Set ShareVector to TRUE which allows other devices sharing interrupt with SMB.
HDR-30271 | Report max finger report count the same as FW in HID so we can support reported fingers less than 5 | Reported max finger report what FW reports instead of hard coded 5 in miniport driver HID descriptor so we can support less than 5 fingers.

Version: 19.0.17 Date: 07-17-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-30055 | Improve SMB data read performance | Combined F01 read with partial F11 and skipped F11 relative and gesture data for SMB so we can reduce SMB bus traffic.
HDR-30149 | Un-installation is not clean at the registry and C:\Program Files | Prevent restart too early in uninstallation
HDR-30171 | Report real FW version through miniport driver instead of hard coded 0 | Reported real FW version through miniport driver to OS for miniport driver PTP.
HDR-29299 | Remove Lenovo IdeaPad PnP IDs from generic driver. | Per customer request, removed all Ideapad PNPIDs from generic driver.
HDR-30029 | [Generic] Remove PNPID | Per customer request, removed some PNPIDs from generic driver.
HDR-30095 (3380518) | [Microsoft Windows 10 Team] Legacy Touchpad Driver Code 10 - Synaptics - Filter Driver Version 19.0.10.0 - acpi\ven_syn&dev_XXXX | Moved some PnpID from Intertouch group to PS2 group

Version: 19.0.16 Date: 07-09-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29834 | Add a new control type | Add a new control type ToggleSwitch.
HDR-30055 | Improve SMB data read performance | Combined F01 read with partial F11 and skipped F11 relative and gesture data for SMB so we can reduce SMB bus traffic.
HDR-30081 | Dynamically create HID descriptor based on TouchPad type | Create HID descriptor based on TouchPad type either report 3 buttons or 1 button for miniport driver.

Version: 19.0.15 Date: 07-02-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29725 | Driver package to deprecate SynReflash tool from manifest | SynReflash will only be included in driver package if specified
HDR-29885 | Twist rotate is no function | Add Rotation support for Microsoft Window Photos App for win10
HDR-29964 | Branch Build Request v19.0.14.x ( _UltraNav_HidMini.inf) | Changed ACM confidence value to zero to allow using FW reported contact type and ignore confidence value if the slider is in the last slot.
HDR-29995 (3416525) | [Microsoft Windows 10 Team] Capturing SynTPEnh diagnostic file | Changed code to capture SynTPEnh diagnostic file and then close the app.

Version: 19.0.14 Date: 06-25-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28998 | Video for Windows 10 3F flick. | Added videos for Windows 10 3F gestures
HDR-29665 (2949915) | [Microsoft Windows 10 Team] REFERENCE_BY_POINTER BSOD after logging in after waking laptop | Fixed REFERENCE_BY_POINTER bugcheck error in SynTP driver.
HDR-29730 | TP Device Yellowbang after upgrading to Win10 (error code 10) | Use correct settings for each PnPID

Version: 19.0.13 Date: 06-18-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29759 | Please show FW version while query information in SynReflash | Fixed SynReflashPkg fail while image size over USHORT; Show FW version while query information under console
HDR-29665 (2949915) | [Microsoft Windows 10 Team] REFERENCE_BY_POINTER BSOD after logging in after waking laptop | Fixed REFERENCE_BY_POINTER bugcheck error in SynTP driver.

Version: 19.0.12 Date: 06-11-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29609 | Missing ACM2 data when converting secondary finger packet to primary finger. | Moved ACM 2 data from secondary finger packet to primary finger packet when the packet is converted to raw packet.
HDR-29638 | BSOD when pressing any key | Fixed BSODs.
HDR-29671 | Remove sticky border control from all UIs | Removed sticky border feature from all control panel since this feature is rarely used by end users and also the driver cannot detect windows border correctly every time when there is a new OS release so we decided to remove this feature.

Version: 19.0.11 Date: 06-04-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29039 | Video & Descrption for Windows 10 3F Swipe | New UI translations for Windows 10; New Windows 10 Translations for Enhancement

Version: 19.0.10 Date: 05-28-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29283 | SynReflashPkg need to support more informations | Add packrat ID into file property while use SynReflashPkg to pack image and cfg
HDR-29353 | Change featurescore to 0xF9 per MS recommendation | Changed FeatureScore to 0xF9
HDR-29362 | HP Rango Driver was updated to generic Win10 driver by Windows Update | Removed some PNPIDs from Win10 generic driver
HDR-29446 | Add PNPID of SYN2601 to generic driver | Customer requests to add SYN2601 back to generic Windows 10 generic driver

Version: 19.0.9 Date: 05-21-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29353 | Change featurescore to 0xF9 per MS recommendation | Changed FeatureScore to 0xF9
|  | Update DriverName to the one with UUID appends.
HDR-28859 | [WINDOWS 10] Probably need to use NX pool instead of Non Page Pool | Allocate memory by using NonPagedPoolNx pool.

Version: 19.0.8 Date: 05-14-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-10618 | SynCOM samples have errors and warnings when compiling | mfctest; keypad; cPadClock; cPadImage; Disabler; Comtest; DisableGesture; SynDrumPad; BezelTest; SynWrapSample; SynPlot; SynDrumPad take out from SDK since it depends srd party library DirectX; SynView; SynForcePad; Dpn't include build bat files
HDR-13375 | Remove LAPACK copyright info | Copyright 2014 to 2015; Remove LAPACK copyright info
HDR-28137 | Un-installation driver is not clean | Use %ProgramFiles%\Synaptics\SynTP as temp dir to install auxiliary drivers instead of creating temp dirs in %ProgramData%
HDR-29104 | Change driver package name from SynARP | Update OS support information in SynPD.inf
HDR-26997 (FM: 2259) | This is a placeholder for build generated checkins. | Update ReleaseNotes.html
HDR-29049 (2334481) | [Microsoft Windows 10 Team] Touchpad not working reliably with Synpatics driver 18.1.45.6 on ACPI\VEN_SYN&DEV_1B5D HdwId | Changed INF registry settings to remove some PNPIDs.

Version: 19.0.7 Date: 05-08-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28137 | Un-installation driver is not clean | Un-installation driver is not clean - remove old SynTPCoInstaller; Use %ProgramFiles%\Synaptics\SynTP as temp dir to install auxiliary drivers instead of creating temp dirs in %ProgramData%; Always overwrite Coinstaller in update install
HDR-28874 | Incorrect ASIC Displayed in Diagnostics Window | Get correct ASIC type from F01 query 19.
HDR-29080 | Suppress Tap on Top Left Corner for SecurePad | Added code to suppress tap in the SecurePad notch area.; Checked whether query41 exists to find right offset for query43.
HDR-29102 | Update control panel to disable top left corner tap zone from UI | Hidden top left tap zone controls from the control panel.; Fixed a compiling error.
HDR-29103 | Update device type to SecurePad for SecurePad in the CPL to refer the device type | Updated device type to SecurePad in the CPL to refer the device type for SecurePad
HDR-29049 (2334481) | [Microsoft Windows 10 Team] Touchpad not working reliably with Synpatics driver 18.1.45.6 on ACPI\VEN_SYN&DEV_1B5D HdwId | Changed INF registry settings to move some PNPIDs to PS2 groups.

Version: 19.0.6 Date: 04-30-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28622 | Tap zones can't work on the top right and top left corner | Allowed tap if a finger is in tap zone and object type is non-finger and tap zone is enabled.
HDR-28913 | Return code=-1 | Fixed return code for setup
HDR-29022 (2144026) | [Microsoft Windows 10 Team] PC_Upgrade, Dell:Pan-H,Left/right button no function after update latest touchpad to 18.1.45.6. | Changed the group for DLL0680, it is clickpad not touchpad.
HDR-29055 (2449785) | [Microsoft Windows 10 Team] DLL052E needs to be removed from INF for generic - targets multiple IHVs | REmoved a PnP ID from INF

Version: 19.0.5 Date: 04-23-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28907 | Correct Finger Packet State not for all fingers in a group but for those who are really in the zones | Correctly update Finger Packet State not for all fingers in a group but for those who are really in the left/right/resting zones
HDR-28944 (676644) | [Microsoft Windows 10 Team] [DeviceCompat][HID][CUET] : The check box setting "Disable internal pointing device..." in mouse properties under clickpad tab doesn't get applied. | Fixed checkbox out of sync issue when there are two tabs in the control panel such as Show tray icon in the taskbar or disable internal pointing device when external USB pointing device is attached.

Version: 19.0.4 Date: 04-16-2015
System enhancements
Version: 19.0.3 Date: 04-09-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28709 (671511) | [Microsoft Windows 10 Team] Synaptics 18.1.45.6 doesn't work well on Lenovo X1 Carbon | Changed INF registry settings to enable Generic Driver PalmCheck feature.
HDR-28771 | SMBus driver is installed to PTP by Windows update | Per customer request, remove invalid PNPIDs from generic driver.
HDR-28790 (674467) | [Microsoft Windows 10 Team] DLL04B0 needs to be pulled from Synaptics Generic Driver - multiple IHV parts mapped | Per customer request, remove invalid PNPIDs from generic driver.

Version: 19.0.2 Date: 04-02-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28731 | Add FeatureScore for all OEM INFs. | Fixed build errors.; Added FeatureScore in INF so OEM driver is always picked by WU first so the generic driver can be overridden in WU.
HDR-28736 | Change SMBus mode switch retry to zero | Removed SMBus mode switch retry from SwitchMode because there is a retry logic in the low level driver (retry 16 times).

Version: 19.0.1 Date: 03-26-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28406 (666723) | [Microsoft Win10 team] Attempt to preserve essential user settings when migrating from Win7/8/8.1 to the generic driver | Fixed spelling
HDR-28652 | [Microsoft Windows 10 Team] Synaptic touchpad lost middle buttonHP 8570wHWIDS:ACPI\VEN_SYN&DEV_019BACPI\SYN019B*SYN019BDriver version is 8.1.45.6 | Changed INF registry settings to fix Generic Driver Middle Button not working issue.

Version: 19.0.0 Date: 03-19-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28484 | Create miniport driver INF for major customers. | Created miniport driver installation package for major ciustomers. 1, Added plugin registries back fir miniport driver, otherwise synthenh cannot be launched. 2, Always created OSD class instead of enabling by registry because OSD is used several placec, if this registry is missing, the syntpenh will crash.
HDR-28488 | Gesture and Pointing performance improvement | 1, Fixed memory leakage when the miniport driver is disabled or removed. 2, Fixed the miniport driver is disabled when any USB mouse is unplugged from USB ports. 3, Reported to PTP using normalized X, Y instead of filtered X, Y.; Fixed 1palm+1F failure issue if palm is down first, 1F is down second, then palm is up, the pointing does not work any more. We should fill in finger data one by one from array index 0, should no gap between finger data..
HDR-28335 | [Microsoft Windows 10 Team] [DeviceCompat][HID][Clean]TouchPad -TouchPad Disables when USB Mouse Connected- Unable to enable touchpad after removal of USB mouse. | Changed INF registry settings to fix Generic Driver Disable TouchPad by external connected mouse issue.
HDR-28337 (660274) | [Microsoft Windows 10 Team] [DeviceCompat][HID][Clean]:TouchPad - [HP-DV5-2155DX] Secondary click is not working once Synaptics driver are installed and rebooted. | Changed INF registry settings to fix Generic Driver Secondary Click not working issue.

Version: 18.2.3 Date: 03-12-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28484 | Create miniport driver INF for major customers. | Created miniport driver installation paclage for major ciustomers.
HDR-28450 | Add button zone size in diagnostics page | Windows10 in diagnostic page

Version: 18.2.2 Date: 03-06-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28341 | Review all INFs to add HID/ACPI before PnP IDs | Per Win10 WU we have to add ACPI before PnP IDS isntead of *.

Version: 18.2.1 Date: 02-27-2015
System enhancements
Version: 18.2.0 Date: 02-19-2015
System enhancements
Version: 18.1.53 Date: 02-12-2015
System enhancements
Version: 18.1.52 Date: 02-05-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28175 | Hide all edge swipe controls for Win10 | Hidden edge swipe controls from CPL for Win10.
HDR-28189 | Add Intel SkyLake chipset support in SMB INF | Added Intel Skylake chipset support for SMBus.

Version: 18.1.51 Date: 01-29-2015
System enhancements
Version: 18.1.50 Date: 01-22-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28039 | TouchPad should be enabled after checked "Disable internal pointing device when external USB pointing device is attached" then unplugged external USB mouse. | Fixed the USB mouse plugin/unplugin disable/enable issue, the notification reason is changed, it does not match with user mode driver, so the event is not processed by the user mode driver.,

Version: 18.1.49 Date: 01-15-2015
System enhancements
Version: 18.1.48 Date: 01-08-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-27930 | Disable audio feedback for button clicking | Read ForcePad click sound mute status from registry..

Version: 18.1.47 Date: 12-25-2014
System enhancements
Version: 18.1.46 Date: 12-18-2014

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-913 (Hyder001) | Using force data to reduce false taps working with ACM | Ignored tap decoding if force is less than certain threshold.

Version: 18.1.45 Date: 12-11-2014

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-27746 | Add more log information in the driver | Logged ForceModel reset event.

Version: 18.1.44 Date: 12-05-2014
Stability and user enhancements.